org.eclipse.viatra.query.runtime.rete.matcher

## Enum TimelyConfiguration.AggregatorArchitecture

- java.lang.Object
- - java.lang.Enum<TimelyConfiguration.AggregatorArchitecture>
  - - org.eclipse.viatra.query.runtime.rete.matcher.TimelyConfiguration.AggregatorArchitecture

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TimelyConfiguration.AggregatorArchitecture>
  Enclosing class:
    TimelyConfiguration

      public static enum TimelyConfiguration.AggregatorArchitecture
      extends java.lang.Enum<TimelyConfiguration.AggregatorArchitecture>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PARALLEL` Aggregands are copied over from lower timestamps to higher timestamps.
    `SEQUENTIAL` Aggregands are only present at the timestamp where they are inserted at.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimelyConfiguration.AggregatorArchitecture` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TimelyConfiguration.AggregatorArchitecture[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PARALLEL

          public static final TimelyConfiguration.AggregatorArchitecture PARALLEL

      Aggregands are copied over from lower timestamps to higher timestamps.

    - #### SEQUENTIAL

          public static final TimelyConfiguration.AggregatorArchitecture SEQUENTIAL

      Aggregands are only present at the timestamp where they are inserted at. Only aggregate results are pushed towards higher timestamps during folding.

  - ### Method Detail

    - #### values

          public static TimelyConfiguration.AggregatorArchitecture[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimelyConfiguration.AggregatorArchitecture c : TimelyConfiguration.AggregatorArchitecture.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimelyConfiguration.AggregatorArchitecture valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null